# SAX2XMLFilter Class Reference

Inheritance diagram for SAX2XMLFilter:

List of all members.

## Public Member Functions

Constructors and Destructor
| SAX2XMLFilter ()
| The default constructor.
virtual | ~SAX2XMLFilter ()
| The destructor.
Implementation of SAX 2.0 XMLFilter interface's.
virtual SAX2XMLReader * | getParent () const =0
| This method returns the parent XMLReader object.
virtual void | setParent (SAX2XMLReader *parent)=0
| Sets the parent XMLReader object; parse requests will be forwarded to this object, and callback notifications coming from it will be postprocessed.

## Constructor & Destructor Documentation

SAX2XMLFilter::SAX2XMLFilter | ( |  | ) |

The default constructor.

virtual SAX2XMLFilter::~SAX2XMLFilter | ( |  | ) | `[virtual]`

The destructor.

## Member Function Documentation

virtual SAX2XMLReader* SAX2XMLFilter::getParent | ( |  | ) | const`[pure virtual]`

This method returns the parent XMLReader object.

Returns:
  A pointer to the parent XMLReader object.

virtual void SAX2XMLFilter::setParent | ( | SAX2XMLReader * | parent | ) | `[pure virtual]`

Sets the parent XMLReader object; parse requests will be forwarded to this object, and callback notifications coming from it will be postprocessed.

Parameters:

  | parent | The new XMLReader parent.

See also:
  SAX2XMLReader::SAX2XMLReader

The documentation for this class was generated from the following file:

- SAX2XMLFilter.hpp